##
# Function: sdpPruning
#
# Author: Daniel Henrández Lobato
#
# Arguments:
#		C <- correlation matrix as described by Zhou et al.		
#		pruningRate <- Rate of ensemble pruning, e.g 0.2 
#		               for retaining 20\% of the total ensemble members.
#
# returns:
#		A vector with the indices of the selected ensemble elements
#

dyn.load("sdpPruning.so")

sdpPruning <- function(C, pruningRate) {

	i <- 1 : nrow(C)

	which(.C('selectSDP', c(C), as.double(nrow(C)), pruningRate, indexes = i)$indexes == 1)
}

